Package org.eclipse.cdt.utils.coff

# Class PE64.IMAGE_DEBUG_DIRECTORY

java.lang.Object
org.eclipse.cdt.utils.coff.PE64.IMAGE_DEBUG_DIRECTORY

Enclosing class:
  `PE64`

public static class PE64.IMAGE_DEBUG_DIRECTORY extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`AddressOfRawData`
`int`
`Characteristics`
`short`
`MajorVersion`
`short`
`MinorVersion`
`int`
`PointerToRawData`
`int`
`SizeOfData`
`int`
`TimeDateStamp`
`int`
`Type`

## Constructor Summary

Constructors
Constructor
Description
`IMAGE_DEBUG_DIRECTORY(RandomAccessFile file, long offset)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### Characteristics

public int Characteristics

### TimeDateStamp

public int TimeDateStamp

### MajorVersion

public short MajorVersion

### MinorVersion

public short MinorVersion

### Type

public int Type

### SizeOfData

public int SizeOfData

### AddressOfRawData

public int AddressOfRawData

### PointerToRawData

public int PointerToRawData

## Constructor Details

### IMAGE_DEBUG_DIRECTORY

public IMAGE_DEBUG_DIRECTORY(RandomAccessFile file, long offset) throws IOException

Throws:
  `IOException`